#
# spec file for package hcode (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hcode
Copyright:    GPL
Group:        Extensions/Korean
Autoreqprov:  on
Summary:      Hangul code conversion utilities (hcode, hdcode)
Version:      2.1
Release:      113
Source0:      hcode2.1-mailpatch3.tar.gz
Source1:      hdcode.c
Patch0:       hcode2.1-mailpatch3.dif
Patch1:       hcode2.1-mailpatch3-ksc5601.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Hangul code conversion utilities (hcode, hdcode)

Authors:
--------
    Jungshik Shin <jshin@pantheon.yale.edu>
    Sang-yong Suh <sysuh@kigam.re.kr>

SuSE series: han

%prep
%setup -q -n hcode2.1-mailpatch3
%patch
cp -f %{SOURCE1} .
%patch1 -p1 -b .ksc5601

%build
make CFLAGS="$RPM_OPT_FLAGS"
gcc -D_MAIN -DCLEAN_QP -o hdcode  hdcode.c

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}%{_prefix}/bin
install -s -m 755 hcode  %{buildroot}%{_prefix}/bin/hcode
install -s -m 755 hdcode %{buildroot}%{_prefix}/bin/hdcode

%clean
rm -rf %{buildroot}

%files -n hcode
%doc CHANGES README README.elm README.mailpatch README.pine
%{_prefix}/bin/hcode
%{_prefix}/bin/hdcode

%changelog -n hcode
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Wed Jan 10 2001 - violiet@susekorea.net
- some spec-file cleanup
* Tue Nov 28 2000 - violiet@susekorea.net
- initial RPM release for SuSE Linux.
